﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Charting;

namespace sl_Chart_545153
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();


            SeriesMappingCollection seriesMappings = new SeriesMappingCollection();

            SeriesMapping seriesMapping = new SeriesMapping();
            seriesMapping.LegendLabel = "Amount";
            seriesMapping.SeriesDefinition = new BarSeriesDefinition();// { ItemStyle = analysisChart.Resources["BarStyle"] as Style };
            seriesMapping.ItemMappings.Add(new ItemMapping() { DataPointMember = DataPointMember.YValue, FieldName = "AMOUNT" });
            seriesMapping.ItemMappings.Add(new ItemMapping() { DataPointMember = DataPointMember.XCategory, FieldName = "YEAR_QUARTER" });
            seriesMappings.Add(seriesMapping);

            seriesMapping = new SeriesMapping();
            seriesMapping.LegendLabel = "Growth Rate";
            seriesMapping.SeriesDefinition = new LineSeriesDefinition() { AxisName = "GROWTH_RATE", ItemLabelFormat = "p0" };
            seriesMapping.ItemMappings.Add(new ItemMapping() { DataPointMember = DataPointMember.YValue, FieldName = "GROWTH_RATE" });
            seriesMapping.ItemMappings.Add(new ItemMapping() { DataPointMember = DataPointMember.XCategory, FieldName = "YEAR_QUARTER" });
            seriesMappings.Add(seriesMapping);
            
            analysisChart.SeriesMappings = seriesMappings;
            analysisChart.DefaultView.ChartArea.AxisX = new AxisX();
            analysisChart.DefaultView.ChartArea.AxisY = new AxisY()
            {
                StripLinesVisibility = System.Windows.Visibility.Collapsed
            };
            analysisChart.DefaultView.ChartArea.AdditionalYAxes = new AxisYCollection();
            analysisChart.DefaultView.ChartArea.AdditionalYAxes.Add(new AxisY()
            {
                AxisName = "GROWTH_RATE",
                Title = " ",
                PlotAreaAxisVisibility = System.Windows.Visibility.Collapsed,
                DefaultLabelFormat = "p0",
                ExtendDirection = AxisExtendDirection.None
            });
            analysisChart.DefaultView.ChartArea.SmartLabelsEnabled = true;
            
            analysisChart.ItemsSource = this.GenerateItemsSource();
        }

        private List<Product> GenerateItemsSource()
        {
            var itemsSource = new List<Product>() 
            { 
                new Product(){ YEAR_QUARTER = "2005Q1", AMOUNT = 7000000000, GROWTH_RATE = 0},
                new Product(){ YEAR_QUARTER = "2006Q1", AMOUNT = 8000000000, GROWTH_RATE = 130},
                new Product(){ YEAR_QUARTER = "2007Q1", AMOUNT = 10000000000, GROWTH_RATE = 190},
                new Product(){ YEAR_QUARTER = "2008Q1", AMOUNT = 13000000000, GROWTH_RATE = 220},
                new Product(){ YEAR_QUARTER = "2009Q1", AMOUNT = 15000000000, GROWTH_RATE = 140},
                new Product(){ YEAR_QUARTER = "2010Q1", AMOUNT = 19000000000, GROWTH_RATE = 190},
            };

            return itemsSource;
        }
    }

    public class Product
    {
        public string YEAR_QUARTER { get; set; }
        public double AMOUNT { get; set; }
        public int GROWTH_RATE { get; set; }
    }
}
